Package be.fgov.ehealth.mycarenet.commons.protocol.v2

# Class ResponseReturnType

java.lang.Object
be.fgov.ehealth.mycarenet.commons.protocol.v2.ResponseReturnType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:15+02:00", comments="JAXB RI v4.0.5") public class ResponseReturnType extends Object implements Serializable
Describes the business output of NIP-PIN services.

Java class for ResponseReturnType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ResponseReturnType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CommonOutput" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v2}CommonOutputType"/>
             <element name="Detail" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v2}BlobType"/>
             <element name="XadesT" type="{http://www.w3.org/2005/05/xmlmime}base64Binary" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseReturnType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CommonOutputType`
  `getCommonOutput()`
  Gets the value of the commonOutput property.
  `BlobType`
  `getDetail()`
  Gets the value of the detail property.
  `Base64Binary`
  `getXadesT()`
  The signature in xades-t form, base64 encoded to preserve the internal signature.
  `void`
  `setCommonOutput(CommonOutputType value)`
  Sets the value of the commonOutput property.
  `void`
  `setDetail(BlobType value)`
  Sets the value of the detail property.
  `void`
  `setXadesT(Base64Binary value)`
  Sets the value of the xadesT property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResponseReturnType

    public ResponseReturnType()

- ## Method Details

  - ### getCommonOutput

    public CommonOutputType getCommonOutput()
    Gets the value of the commonOutput property.
    Returns:
      possible object is `CommonOutputType`

  - ### setCommonOutput

    public void setCommonOutput(CommonOutputType value)
    Sets the value of the commonOutput property.
    Parameters:
      `value` - allowed object is `CommonOutputType`

  - ### getDetail

    public BlobType getDetail()
    Gets the value of the detail property.
    Returns:
      possible object is `BlobType`

  - ### setDetail

    public void setDetail(BlobType value)
    Sets the value of the detail property.
    Parameters:
      `value` - allowed object is `BlobType`

  - ### getXadesT

    public Base64Binary getXadesT()
    The signature in xades-t form, base64 encoded to preserve the internal signature. Optional when the input was emtpy.
    Returns:
      possible object is `Base64Binary`

  - ### setXadesT

    public void setXadesT(Base64Binary value)
    Sets the value of the xadesT property.
    Parameters:
      `value` - allowed object is `Base64Binary`
    See Also:
      - `getXadesT()`